aboutsummaryrefslogtreecommitdiffstats
path: root/techlibs/xilinx/example_zed_counter/example.sh
diff options
context:
space:
mode:
Diffstat (limited to 'techlibs/xilinx/example_zed_counter/example.sh')
-rw-r--r--techlibs/xilinx/example_zed_counter/example.sh18
1 files changed, 18 insertions, 0 deletions
diff --git a/techlibs/xilinx/example_zed_counter/example.sh b/techlibs/xilinx/example_zed_counter/example.sh
new file mode 100644
index 000000000..d0fcd8322
--- /dev/null
+++ b/techlibs/xilinx/example_zed_counter/example.sh
@@ -0,0 +1,18 @@
+#!/bin/bash
+
+set -ex
+
+XILINX_DIR=/opt/Xilinx/14.7/ISE_DS/ISE
+XILINX_PART=xc7z020clg484-1
+
+yosys - <<- EOT
+ read_verilog example.v
+ synth_xilinx -edif synth.edif
+EOT
+
+$XILINX_DIR/bin/lin64/edif2ngd -a synth.edif synth.ngo
+$XILINX_DIR/bin/lin64/ngdbuild -p $XILINX_PART -uc example.ucf synth.ngo synth.ngd
+$XILINX_DIR/bin/lin64/map -p $XILINX_PART -w -o mapped.ncd synth.ngd constraints.pcf
+$XILINX_DIR/bin/lin64/par -w mapped.ncd placed.ncd constraints.pcf
+$XILINX_DIR/bin/lin64/bitgen -w placed.ncd example.bit constraints.pcf
+$XILINX_DIR/bin/lin64/promgen -w -b -p bin -o example.bin -u 0 example.bit -data_width 32